* {
    margin: 0;
    padding: 0;
}

html {
    font-size: 16px;
}

:root {
    --color-yellow: #ffe119;
    --color-lila: #64197d;
    --color-rosa: #ffaaaf;
}

body {
    background-image: url("../images/website_bg.png");
}

main {
    width: calc(100vw - 4rem);
    padding: 2rem;
}

@media (min-width: 700px) {
    main {
        column-count: 2;
        column-gap: 3em;
    }    
    #imprint {
        display: grid;
        grid-template-columns: 1fr 1fr;
        grid-column-gap: 3em
    }
}

@media (min-width: 1100px) {
    main { column-count: 3; }
    #imprint { grid-template-columns: 1fr 1fr 1fr; }
}

@media (min-width: 1600px) {
    main { column-count: 4; }    
}

section {
    position: relative;
    display: inline-block;
    margin-bottom: 2rem;
    width: 100%;
}

.content-container, .section-content {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
}

.background-image {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    z-index: -1;
}

@font-face {
    font-family: 'Silka';
    src: url("../fonts/SilkaMono-Regular.otf");
    font-weight: 400;
    font-style: normal;
}

@font-face {
    font-family: 'Silka';
    src: url("../fonts/SilkaMono-RegularItalic.otf");
    font-weight: 400;
    font-style: italic;
}

@font-face {
    font-family: 'Silka';
    src: url("../fonts/SilkaMono-Bold.otf");
    font-weight: 800;
    font-style: normal;
}

@font-face {
    font-family: 'Silka';
    src: url("../fonts/SilkaMono-BoldItalic.otf");
    font-weight: 800;
    font-style: italic;
}


a, p, h1, h2, h3, h4, h5, h6, li {
    font-family: 'Silka', 'Courier New', Courier, monospace;
    color: var(--color-lila);
}

a {
    text-decoration: underline;
    font-style: italic;
}

li {
    margin-left: 1rem;
}

a:hover {
    transform: scale(1.2, 1.2);
}

a.button {
    text-decoration: none;
    font-style: normal;
    font-weight: 800;
    font-size: 2rem;
    color: var(--color-yellow);
    padding: .5rem .8rem;
    background-color: var(--color-lila);
/*     box-shadow: .25rem .25rem .5rem var(--color-lila); */
    border-radius: .25rem;
    transition: all .2s ease-in-out;
}

a.button:hover {
    color: var(--color-lila);
    background-color: var(--color-rosa);
}

.linkbutton-container {
    margin-top: 3rem;
    margin-bottom: 3rem;
}

.linkbutton {
    width: max-content;
    transition: all .2s ease-in-out;
    transform: rotate(3deg);
}

.linkbutton:hover {
    transform: rotate(-5deg);
}

.link {
    transition: all .2s ease-in-out;
}

.link:hover {
    transform: scale(1.1) rotate(5deg);
}

.albumcover {
    transform: rotate(-2deg);
}

.event {
    display: grid;
    grid-template-columns: 1fr 2fr;
    grid-column-gap: 20px;
    margin-bottom: 1rem;
}

.links-container {
    display: flex;
    flex-wrap: wrap;
}

.links-container > * {
    width: 20%;
    margin: 1rem;
}

p {
    font-weight: 400;
    font-style: normal;
    font-size: 1rem;
    margin-bottom: .5rem;
}

h2 {
    font-weight: 800;
    font-style: normal;
    font-size: 2rem;
    text-align: center;
    margin-bottom: 3rem;
}

img {
    width: 100%;
    height: 100%;
}

video {
    width: 80%;
    height: 80%;
}

.imprint-title {
    cursor: pointer;
}

#imprint-wrapper {
    overflow: hidden;
    transition: all .5s ease-in-out;
}

.floating-element {
    position: absolute;
    z-index: 2;
    transition: all 3s ease-in-out;
    height: min-content;
    width: min-content;
}

#float1 > img {
    height:100px;
    width: auto;
}

#float3 > img {
    height: 80px;
    width: auto;
}

#float4 > img {
    height: 120px;
    width: auto;
}

#float5 > img {
    height: 100px;
    width: auto;
}

#float6 > img {
    height: 120px;
    width: auto;
}